#include "xmenudef.h"

XMenuDef::XMenuDef()
    : XAsset()
    , mWindow()
    , mFont()
    , mFullScreen()
    , mItemCount()
    , mFontIndex()
    , mCursorItem()
    , mFadeCycle()
    , mFadeClamp()
    , mFadeAmount()
    , mFadeInAmount()
    , mBlurRadius()
    , mOnOpen()
    , mOnClose()
    , mOnESC()
    , mOnKey()
    , mVisibleExp()
    , mAllowedBinding()
    , mSoundName()
    , mImageTrack()
    , mFocusColor()
    , mDisableColor()
    , mRectXExp()
    , mRectYExp()
    , mItems()
{

}

XMenuDef::~XMenuDef()
{

}

void XMenuDef::Clear()
{

}

void XMenuDef::ParseData(QDataStream *aStream)
{

}
